Skip to main content
`Ctrl`+`K`

# NEPSetTarget

Sets the value of the target.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetTarget(NEP nep,PetscScalar target)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- target - the value of the target

## Options Database Key

- -nep_target <target> - the value of the target

## Notes

The target is a scalar value used to determine the portion of the spectrum of interest. It is used in combination with `NEPSetWhichEigenpairs()`.

When PETSc is built with real scalars, it is not possible to specify a complex target.

In the case of complex scalars, a complex value can be provided in the command line with `[+/-][realnumber][+/-]realnumberi` with no spaces, e.g. `-nep_target 1.0+2.0i`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetTarget()`, `NEPSetWhichEigenpairs()`

## Level

intermediate

## Location

src/nep/interface/nepbasic.c

## Examples

src/nep/tutorials/ex27.c
src/nep/tutorials/ex42.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex27f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages